package com.yc.education.service;

import com.yc.education.model.SuccessCase;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-25 10:19
 */
public interface ISuccessCaseService extends IService<SuccessCase> {

    //前台 查询所有案例并分页
    List<SuccessCase> listAllCase(Integer id,Integer pageNum,Integer pageSize);

    //后台 查询所有案例信息 分页 多条件查询
    List<SuccessCase> manageAllCase(Integer id,String name,Integer pageNum,Integer pageSize);

    //后台 根据选中id 批量删除案例信息
    int  deleteCaseArray(int [] caseArray);

    //前台   服务支持推荐案例  根据状态 查询
    List<SuccessCase> findCaseByState();

    //前台   首页轮播图   根据条件查询首页需要轮播那个案例类别下的推荐案例
    List<SuccessCase> listCaseByCondition();
}
